/*
 * Licensed Materials - Property of IBM
 *
 * Copyright IBM Corporation 2009. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA DP Schedule Contract with IBM Corp.
 */

egl.defineWidget(
	'dojo.widgets', 'DojoBarGraph',
	'dojo.widgets', 'DojoChartBase',
	'div',								
{
	"createDojoWidget" : function(parent) {
		this.createChart(parent, 300, 300, { 
			type:  this.vertical ? "Columns" : "Bars", 
			areas: true, 
			gap:   this.barGap||5 
		});
		this.addAxes();
		this.dojoWidget.addSeries("egl rocks", this.data);
		this.dojoWidget.render();
	}
});