/*
 * Licensed Materials - Property of IBM
 *
 * Copyright IBM Corporation 2009. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA DP Schedule Contract with IBM Corp.
 */

egl.defineWidget(
	'dojo.widgets', 'DojoCheckBoxWithoutLabel',
	'dojo.widgets', 'DojoBase',
	'div',
{
	"constructor" : function() {
		this.setData("");
		dojo.require("dijit.form.CheckBox");
	},
	"createDojoWidget" : function(parent) {
		var eglWidget = this;
		this.dojoWidget = new dijit.form.CheckBox({ 
				checked: this.selected,
				onChange: function() { eglWidget.handleEvent(eglWidget.getOnChange(), "onChange"); }
			}, 
			parent
		);
	},
	"getSelected" : function () {
  		return this.dojoWidget && this.dojoWidget.getValue()!=false;
  	},
  	"setSelected" : function ( selected ) {
  		this.selected = selected;
  		if (this.dojoWidget)
  			this.dojoWidget.setChecked( selected );
  	}
});
